%global namedversion gl%{version}-android-2.1_r1
Name:          android-opengl-api
Version:       1.1
Release:       %mkrel 15
Group:         Development/Java
Summary:       Google Android Java ME Library (Khronos)
License:       ASL 2.0
# While the EULA for the Android SDK restricts distribution of those binaries, the source code 
# is licensed under Apache 2.0 which allows compiling binaries from source and then distributing
# those versions.
URL:           http://developer.android.com/guide/topics/graphics/opengl.html
Source0:       https://repo1.maven.org/maven2/org/khronos/opengl-api/%{namedversion}/opengl-api-%{namedversion}-sources.jar
Source1:       https://repo1.maven.org/maven2/org/khronos/opengl-api/%{namedversion}/opengl-api-%{namedversion}.pom
# android-opengl-api package don't include the license file    
Source2:       https://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires: maven-local
BuildArch:     noarch

%description
The Android implementation of Khronos OpenGL Spec
for the Google Android SDK.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c
mkdir -p src/main/java

(
  cd src/main/java
  jar -xf %{SOURCE0}
  rm -rf META-INF
)

cp -p %{SOURCE1} pom.xml

cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file :opengl-api opengl-api

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.1-15.mga9
+ Revision: 1827279
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.1-14.mga8
+ Revision: 1489275
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-13.mga7
+ Revision: 1259582
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.1-12.mga6
+ Revision: 982658
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.1-11.mga6
+ Revision: 980893
- First rebuild of the java stack
- sync package android-opengl-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 750921
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-7.mga5
+ Revision: 677756
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.1-6.mga4
+ Revision: 545546
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.1-5.mga4
+ Revision: 501378
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 345542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.1-3.mga3
+ Revision: 325944
- Java Stack Mass Rebuild

* Sun Oct 28 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 311247
- Java Stack Mass Rebuild

* Mon Oct 31 2011 gil <gil> 1.1-1.mga2
+ Revision: 160428
- imported package android-opengl-api

